/** 
 *   FIXME ....
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#ifndef _ENCODERS_H
#define _ENCODERS_H

#include "e5850.h" /* for NR_ENC */

struct encoders_data{
	int encoder[NR_ENC];
	/* .... */
};

int encoders_open(void);
int encoders_close(void);
int encoders_buff_len(void);
int encoders_clear_buff(void);
int encoders_is_running(void);
int encoders_stop(void);
int encoders_start(void);
int encoders_get_raw_data(struct encoders_data *d);
int get_encoder(int num);
int encoder_set_cw(int num);
int encoder_set_ccw(int num);
int encoder_set_zero(int num);
//int gray2bin(int bits, int binary);
int sidereal_clock_running(void);

#endif  /* ifndef _ENCODERS_H */
