/** 
 *   FIXME ....
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#include <stdio.h>
#include <stdlib.h>
#include "encoders.h"


int main(int argc, const char *argv[]) 
{
	struct encoders_data ed;

	if (encoders_open() == -1){
                perror("main");
                exit(1);
        }
	printf("The bufer legent is %d\n", encoders_buff_len());
	printf("e5850 is running: %d\n", encoders_is_running());
	//encoders_clear_buff();
	//getchar();
	
	while(1) {
		if (encoders_get_raw_data(&ed) == 1) {
			printf("%5d %5d %5d\n", 
			       ed.encoder[0], ed.encoder[1], ed.encoder[2]);
		}else{
			printf("The bufer legent is %d\n", 
			       encoders_buff_len());
		}
	}

	encoders_stop();
	printf("e5850 is running: %d\n", encoders_is_running());

	encoders_close();

	return 0;
}
